## org.eclipse.emf.ocl.expressions
Interface TupleLiteralPart

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, Notifier, TypedASTNode, TypedElement, Visitable

All Known Implementing Classes:
  TupleLiteralPartImpl

Deprecated. Use the `TupleLiteralPart` interface, instead.

    @Deprecated
    public interface TupleLiteralPart

extends TypedElement, Visitable, TypedASTNode

A representation of the model object 'Tuple Literal Part'.

The following features are supported:

- `Value`
- `Attribute`

See Also:
  `ExpressionsPackage.getTupleLiteralPart()`

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EStructuralFeature` `getAttribute()` Deprecated. Returns the value of the 'Attribute' reference
`OCLExpression` `getValue()` Deprecated. Returns the value of the 'Value' containment reference
`void` `setAttribute(EStructuralFeature value)` Deprecated. Sets the value of the '`Attribute`' reference
`void` `setValue(OCLExpression value)` Deprecated. Sets the value of the '`Value`' containment reference

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getValue

    OCLExpression getValue()

  Deprecated.
  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(OCLExpression)`, `ExpressionsPackage.getTupleLiteralPart_Value()`

### setValue

    void setValue(OCLExpression value)

  Deprecated.
  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### getAttribute

    EStructuralFeature getAttribute()

  Deprecated.
  Returns the value of the 'Attribute' reference.

  If the meaning of the 'Attribute' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(EStructuralFeature)`, `ExpressionsPackage.getTupleLiteralPart_Attribute()`

### setAttribute

    void setAttribute(EStructuralFeature value)

  Deprecated.
  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.